Bug 306061 - pulseaudio daemon gets hung up while playing music from rhythmbox
pulseaudio daemon gets hung up while playing music from rhythmbox
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
8
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-25 16:18 EDT by Thomas J. Baker
Modified: 2007-11-30 17:12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-01 13:03:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
$pulseaudio -vv (12.25 KB, text/plain)
2007-09-26 07:05 EDT, sangu
no flags Details
gzipped typescript of pulseaudio -vv log (2.43 KB, application/x-gzip)
2007-09-26 14:53 EDT, Thomas J. Baker
no flags Details

  None (edit)
Description Thomas J. Baker 2007-09-25 16:18:21 EDT
Description of problem:

Music plays fine until pulseaudio logs the following error:

Sep 25 16:09:08 raptor pulseaudio[7708]: protocol-native.c: client sent block
for invalid stream.

Then all sound is hung. Rhythmbox gets hung and has to be killed. Restarting it
doesn't work. Killing pulseaudio and restarting and makes sound work again. 

Version-Release number of selected component (if applicable):

pulseaudio-0.9.7-0.12.svn20070925.fc8.x86_64

How reproducible:

Happens randomly.

I don't know if this is a rhythmbox problem or a pulseaudio one. I'll see if it
happens with banshee.
Comment 1 Thomas J. Baker 2007-09-25 16:22:42 EDT
Clarification:

After the error message, killing and restarting rhythmbox doesn't fix it. Going
to the Preferences->Hardware->Sound and clicking any of the test buttons gives a
gstreamer pipe error. Killing and restarting pulseaudio fixes everything.
Comment 2 Lennart Poettering 2007-09-25 16:40:03 EDT
Hmm, this looks as if some error cause the alsa sink plugin to be unloaded in PA.

Could you please run "pulseaudio -vv" in a terminal and paste its output when
this happens again?

And, after this happened, does the output device still appear in pavucontrol.
Comment 3 sangu 2007-09-26 07:05:45 EDT
Created attachment 206941 [details]
$pulseaudio -vv

Same here!

$ uname -pmi
i686 athlon i386
Comment 4 Thomas J. Baker 2007-09-26 14:53:05 EDT
Created attachment 207361 [details]
gzipped typescript of pulseaudio -vv log

Here's my -vv log and no, there is no output device in pavucontrol after this
happens.
Comment 5 Martin Sourada 2007-09-28 04:45:40 EDT
I have this problem also, last time it happened with totem. pulseaudio -k and
pulseaudio -D fixes the problem (for a while)...
Comment 6 Ryan James 2007-09-30 05:35:35 EDT
This also happens to me.  It has happened while using rhythmbox, exaile, and
mplayer.
Comment 7 Lennart Poettering 2007-10-01 13:03:17 EDT
This is fixed in the new snapshot I uploaded on friday, which is also available
in test3.

Note You need to log in before you can comment on or make changes to this bug.